.q-field {
  &__control {
    height: 45px !important;
    border-radius: 5px !important;
  }

  &__label {
    font-size: .8rem !important;
    color: $hover-color !important;
  }

  &__native {
    font-size: .8rem !important;
  }

  &--highlighted {
    .q-field__label {
      color: $hover-color !important;
    }
    .q-field__shadow {
      opacity: .5 !important;
    }
  }


  // Standard Field
  &--standard {
    .q-field__control {
      &:after {
        height: 1px !important;
        top: auto !important;
        border-bottom-left-radius: inherit !important;
        border-bottom-right-radius: inherit !important;
        transform-origin: center bottom !important;
        transform: scale3d(0, 1, 1) !important;
        background: #ffffff !important;
        // transition: transform $field-transition;
      }
    }
  }

  // Outlined Field
  &--outlined {
    .q-field__control {
      &:before {
        border: 1px solid transparent !important;
        // transition: border-color $field-transition;
      }
      &:hover:before {
        border-color: transparent !important;
      }
      &:after {
        height: inherit !important;
        border-radius: inherit !important;
        border: 1px solid transparentize($primary-text-color, 0.7) !important;
        // transition: border-color $field-transition;
      }
    }
    .q-field__native,
    .q-field__input {
      &:-webkit-autofill {
        margin-top: 1px !important;
        margin-bottom: 1px !important;
      }
    }
    &.q-field--rounded .q-field__control {
      border-radius: 28px !important;
    }
    &.q-field--highlighted {      // prevent rounded border imperfections to be seen through the :after border
      .q-field__control:hover:before {
        border-color: transparent !important;
      }
      .q-field__control:after {
        border-color: transparentize($primary-text-color, 0.7) !important;
        border-width: 2px !important;
        transform: none !important;
      }
    }
    &.q-field--readonly {
      .q-field__control:before {
        border-style: dashed !important;
      }
    }
  }

  // Filled Field
  &--filled {
    .q-field__control {
      padding: 0 12px !important;
      background: transparentize($hover-color, 0.9) !important;
      // border-radius: $generic-border-radius $generic-border-radius 0 0;

      &:before {
        background: transparentize($hover-color, 0.8) !important;
        border-bottom: 1px solid $hover-color !important;
        opacity: 0 !important;
        // transition: opacity $field-transition, background $field-transition;
      }
      &:hover:before {
        opacity: 1 !important;
      }
      &:after {
        height: 1px !important;
        top: auto !important;
        // transform-origin: center bottom;
        // transform: scale3d(0, 1, 1);
        background: $hover-color !important;
        // transition: transform $field-transition;
      }
    }
    &.q-field--rounded .q-field__control {
      border-radius: 28px 28px 0 0 !important;
    }
    &.q-field--highlighted {
      .q-field__control {
        &:before {
          opacity: 1 !important;
          background: transparentize($hover-color, 1) !important;
        }
        &:after {
          // transform: scale3d(1, 1, 1);
        }
      }
    }
    &.q-field--dark {
      .q-field__control,
      .q-field__control:before {
        background: none !important;
      }
      &.q-field--highlighted .q-field__control:before {
        background: none !important;
      }
    }
    &.q-field--readonly {
      .q-field__control:before {
        opacity: 1 !important;
        background: transparent !important;
        border-bottom-style: dashed !important;
      }
    }
  }

}